How to contribute
=================

All contributions are welcome! 
Whether you want to improve the documentation, send a patch to fix a bug or 
propose a new functionality, we will review every suggestion.


How to proceed
--------------

1. Make sure you have a Github acount
2. Fork the repository
3. Make yours changes, test them, add some documentation.
4. Commit your changes and push to your fork
5. Submit a pull request.


General guidelines
------------------

Please make sure you follow these guidelines to allow us to review your changes
in the best conditions (meaning in a timely manner!):

- Make sure to add the documentation that goes with your changes
- Keep your pull request limited to a single change
- Give any useful information about the impact of your patch in the pull request:
  new/updated/removed external dependencies, impacts and side effects of your
  changes, rationale and use cases for the changes, etc.
- Your patch must not break backward compatibility and should be forward
  compatible
- An export of logs (logs of client and server and transfer log export) shall
  be added as additional input information in order to show the behaviour

If you have any doubt about the relevance of a change or the right way to do it,
do not hesitate to submit a partial pull request or a ticket in Github to start
a conversation with and receive help from us and from the community.
