/**
 * This file is part of Waarp Project.
 * 
 * Copyright 2009, Frederic Bregier, and individual contributors by the @author tags. See the
 * COPYRIGHT.txt in the distribution for a full listing of individual contributors.
 * 
 * All Waarp Project is free software: you can redistribute it and/or modify it under the terms of
 * the GNU General Public License as published by the Free Software Foundation, either version 3 of
 * the License, or (at your option) any later version.
 * 
 * Waarp is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with Waarp . If not, see
 * <http://www.gnu.org/licenses/>.
 */
package org.waarp.ftp.core.file;

import org.waarp.common.command.NextCommandReply;
import org.waarp.common.command.exception.Reply421Exception;
import org.waarp.common.command.exception.Reply502Exception;
import org.waarp.common.command.exception.Reply530Exception;
import org.waarp.common.file.AuthInterface;

/**
 * @author Frederic Bregier
 * 
 */
public interface FtpAuth extends AuthInterface {

	/**
	 * @return the account
	 */
	public String getAccount();

	/**
	 * @param account
	 *            the account to set
	 * @return (NOOP,230) if the Account is OK, else return the following command that must follow
	 *         and the associated reply
	 * @throws Reply421Exception
	 *             if there is a problem during the authentication
	 * @throws Reply530Exception
	 *             if there is a problem during the authentication
	 * @throws Reply502Exception
	 */
	public NextCommandReply setAccount(String account)
			throws Reply421Exception, Reply530Exception, Reply502Exception;

}
